Skip to main content
PUT
/
v1
/
m2m
/
clients
/
{client_id}
C#
// PUT /v1/m2m/clients/{client_id}
const stytch = require('stytch');

const client = new stytch.B2BClient({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
  client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
  client_name: "My Sample Client",
  client_description: "My sample client for testing out M2M authentication.",
  scopes: ["read:users", "write:users"],
};

client.M2M.Clients.Update(params)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
// PUT /v1/m2m/clients/{client_id}
package main

import (
"context"
"log"

"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/m2m/clients"
)

func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}

params := &clients.UpdateParams{
ClientID: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
ClientName: "My Sample Client",
ClientDescription: "My sample client for testing out M2M authentication.",
Scopes: []string{"read:users", "write:users"},
}

resp, err := client.M2M.Clients.Update(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}

log.Println(resp)
}
// PUT /v1/m2m/clients/{client_id}
package com.example;

import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.m2mclients.UpdateRequest;

public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");

UpdateRequest params = new UpdateRequest();
params.setClientId("m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885");
params.setClientName("My Sample Client");
params.setClientDescription("My sample client for testing out M2M authentication.");
params.setScopes(new String("read:users", "write:users"));

Object result = StytchB2BClient.getM2M().getClients().update(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}
// PUT /v1/m2m/clients/{client_id}
package com.example

import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.m2mclients.UpdateRequest

fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)

when (
val result =
StytchB2BClient.m2m.clients.update(
UpdateRequest(
clientId = "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
clientName = "My Sample Client",
clientDescription = "My sample client for testing out M2M authentication.",
scopes = arrayOf("read:users", "write:users"),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// PUT /v1/m2m/clients/{client_id}
const stytch = require('stytch');

const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});

const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
client_name: "My Sample Client",
client_description: "My sample client for testing out M2M authentication.",
scopes: ["read:users", "write:users"],
};

client.m2m.clients.update(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });
$response = $client->m2m->clients->update([
'client_id' => 'm2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885',
'client_name' => 'My Sample Client',
'client_description' => 'My sample client for testing out M2M authentication.',
'scopes' => ['read:users', 'write:users'],
]);
# PUT /v1/m2m/clients/{client_id}
from stytch import B2BClient

client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)

resp = client.m2m.clients.update(
client_id="m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
client_name="My Sample Client",
client_description="My sample client for testing out M2M authentication.",
scopes=["read:users", "write:users"],
)

print(resp)
# frozen_string_literal: true

# PUT /v1/m2m/clients/{client_id}
require 'stytch'

client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)

resp = client.m2m.clients.update(
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
client_name: "My Sample Client",
client_description: "My sample client for testing out M2M authentication.",
scopes: ['read:users', 'write:users']

)

puts resp
// PUT /v1/m2m/clients/{client_id}
use stytch::b2b::client::Client;
use stytch::consumer::m2m_clients::UpdateRequest;

fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.m2m.clients.update(
UpdateRequest{
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
client_name: Some(String::from("My Sample Client")),
client_description: Some(String::from("My sample client for testing out M2M authentication.")),
scopes: vec!["read:users", "write:users"],
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}
# PUT /v1/m2m/clients/{client_id}
curl --request PUT \
--url https://test.stytch.com/v1/m2m/clients/m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"client_name": "My Sample Client",
"client_description": "My sample client for testing out M2M authentication.",
"scopes": ["read:users", "write:users"]
}'
{
  "request_id": "<string>",
  "m2m_client": {
    "client_id": "<string>",
    "client_name": "<string>",
    "client_description": "<string>",
    "status": "<string>",
    "scopes": [
      "<string>"
    ],
    "client_secret_last_four": "<string>",
    "trusted_metadata": {},
    "next_client_secret_last_four": "<string>"
  },
  "status_code": 123
}
{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}
{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}
{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}
You can use this endpoint to activate or deactivate an M2M Client by changing its status. A deactivated M2M Client will not be allowed to perform future token exchange flows until it is reactivated.
Deactivating an M2M Client will not invalidate any existing JWTs issued to the client, only prevent it from receiving new ones. To protect more-sensitive routes, pass a lower max_token_age value when authenticating the token.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

client_id
string
required

The ID of the client.

Body

application/json

Request type

client_name
string

A human-readable name for the client.

client_description
string

A human-readable description for the client.

status
enum<string>

The status of the client - either active or inactive.

Available options:
active,
inactive
scopes
string[]

An array of scopes assigned to the client.

trusted_metadata
object

The trusted_metadata field contains an arbitrary JSON object of application-specific data. See the Metadata reference for complete field behavior details.

Response

Successful response

request_id
string
required

Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.

m2m_client
object
required

The M2M Client affected by this operation.

status_code
integer<int32>
required

The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.